1. Task Comments
Astravue docs
  • Auth
    • Get Access and Refresh Token
      POST
    • Refresh Access Token
      POST
  • Personal Tasks
    • Get task by ID
      GET
    • Update a task
      PUT
    • Delete a task
      DELETE
    • Get all tasks
      GET
    • Create a task
      POST
  • Spaces
    • Get space by ID
      GET
    • Update a space
      PUT
    • Delete a space
      DELETE
    • Get all spaces
      GET
    • Create a new space
      POST
  • Projects
    • Get project details by ID
      GET
    • Update a project
      PUT
    • Delete a project
      DELETE
    • Get all projects in a space
      GET
    • Create a new project
      POST
  • Project Tasks
    • Get a project task by ID
      GET
    • Update a project task
      PUT
    • Delete a project task
      DELETE
    • Get all tasks in a project
      GET
    • Create a project task
      POST
  • Task Timer
    • Get active timers for a user
      GET
    • Update a timer
      PUT
    • Delete a timer entry
      DELETE
    • Stop timer for a task
      PUT
    • Start timer for a personal task
      POST
    • Add a time range entry for a personal task
      POST
    • Add manual time entry for a personal task
      POST
    • Start timer for a project task
      POST
    • Add range timer for a project task
      POST
    • Add manual time entry for a project task
      POST
    • Get timers for a user in a task
      GET
    • Get global timesheet report
      GET
    • Get project timesheet
      GET
    • Get project timesheet summary
      GET
  • Task Comments
    • Get comments for a task
      GET
  • Project Subtasks
    • Get all subtasks
    • Update a subtask
    • Delete a subtask
    • Create a subtask
  • Personal Subtasks
    • Get all subtasks for a personal task
    • Update a subtask for a personal task
    • Delete a subtask for a personal task
    • Create a subtask for a personal task
  • Tasks Checklist
    • Get all checklists for a subtask
    • Get all checklists for a parent task
  • Bulk Export
    • Bulk list tasks
    • Bulk list projects
GuidesAPI Docs
GuidesAPI Docs
MCP Server
Astravue MCP on GitHub
  1. Task Comments

Get comments for a task

GET
https://api.astravue.com/v1/tasks/{taskId}/comments
Retrieve all comments (including parent comments and replies) for a given task.
Usage Notes:
Parent comments have parentCommentId = null.
Replies have parentCommentId set to the ID of the parent comment.
Clients can use this field to group replies under their parent comment for a threaded conversation view.
The sort parameter controls the order of parent comments (replies should be grouped by client regardless of sort order).
The comment field may contain HTML with @mention markup. Use mentionedUserIds to identify mentioned users.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Header Params

Responses

🟢200OK
application/json
Comments fetched successfully
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.astravue.com/v1/tasks//comments?sort=undefined' \
--header 'X-Org-Id;' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "success": true,
    "message": "Operation completed successfully",
    "code": 200,
    "data": [
        {
            "tenantId": 0,
            "taskCommentId": 0,
            "comment": "string",
            "content": {},
            "viaMail": true,
            "taskId": 0,
            "projectId": 0,
            "spaceId": 0,
            "parentCommentId": 0,
            "parentTaskId": 0,
            "createdBy": {},
            "mentionedUserIds": [
                0
            ],
            "createdTime": "2019-08-24T14:15:22.123Z",
            "modifiedTime": "2019-08-24T14:15:22.123Z",
            "taskName": "string",
            "projectName": "string",
            "spaceName": "string"
        }
    ],
    "timestamp": "2023-01-01T12:00:00Z"
}
Modified at 2025-09-11 20:31:00
Previous
Get project timesheet summary
Next
Get all subtasks
Built with